View Documentation For
settings
settings

# `discord.ext.commands` – Bot commands framework

`discord.py` offers a lower level aspect on interacting with Discord. Often times, the library is used for the creation of bots. However this task can be daunting and confusing to get correctly the first time. Many times there comes a repetition in creating a bot command framework that is extensible, flexible, and powerful. For this reason, `discord.py` comes with an extension library that handles this for you.

- Commands
  - Parameters
  - Invocation Context
  - Converters
  - Parameter Metadata
  - Error Handling
  - Checks
  - Hybrid Commands
- Cogs
  - Quick Example
  - Cog Registration
  - Using Cogs
  - Special Methods
  - Meta Options
  - Inspection
- Extensions
  - Primer
  - Reloading
  - Cleaning Up
- API Reference
  - Bots
  - Prefix Helpers
  - Event Reference
  - Commands
  - Cogs
  - Help Commands
  - Enums
  - Checks
  - Context
  - Converters
  - Defaults
  - Exceptions

close

# Settings

## Font

### Use a serif font:

## Theme

### Automatic

### Light

### Dark

arrow_upwardto top